Credit grants

Create a credit grant

Creates a credit grant.

POST
/credit-grants

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Credit grant payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/credit-grants" \  -H "Content-Type: application/json" \  -d '{    "type": "promotional",    "account_id": "acc_IhMUl3rrZ3",    "currency": "USD",    "grant_amount": 25000,    "invoice_after_payment": true,    "initiate_payment": true,    "integration_id": "int_IhMUl3rrZ3",    "allowed_payment_methods": [      "card",      "bank_transfer"    ],    "return_url": "https://northwind.example/checkout/return"  }'
{
  "credit_grant": {
    "object": "credit_grant",
    "id": "cgr_IhMUl3rrZ3",
    "type": "promotional",
    "account_id": "acc_IhMUl3rrZ3",
    "currency": "USD",
    "status": "granted",
    "payment_status": "comped",
    "grant_amount": 25000,
    "available_amount": 15000,
    "created_at": "2025-02-14T17:33:40.843Z",
    "effective_at": "2025-02-14T17:33:40.843Z",
    "expires_at": "2025-03-14T17:33:40.843Z"
  },
  "meta": {
    "request_id": "req_IhMUl3rrZ3"
  },
  "payment_url": "string"
}